## fnt 1.4.1

=== debian/changelog ===
fnt (1.4.1-2) unstable; urgency=medium

  * Add missing depends: xz-utils.
  * Bump standards version to 4.6.1.

 -- Gürkan Myczko <tar@debian.org>  Tue, 13 Sep 2022 13:30:27 +0200

fnt (1.4.1-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.0.
  * d/patches: fix autocompletion.
  * d/install: added to install zsh completions.
  * d/manpages: dropped, as not needed.
  * Update maintainer address.
  * d/rules: autocompletion permission fix.

 -- Gürkan Myczko <tar@debian.org>  Thu, 09 Dec 2021 13:02:03 +0100

fnt (1.3-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 07 Sep 2021 14:08:54 +0200

fnt (1.2-1) experimental; urgency=medium

  * Initial release. (Closes: #984461)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 02 Mar 2021 09:36:54 +0100

=== debian/watch ===
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%" \
   https://github.com/alexmyczko/fnt/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## fnt 1.9

=== Makefile ===
BINDIR=/usr/bin
MANDIR=/usr/share/man
ZCOMPDIR=/usr/local/share/zsh/site-functions
VERSION=1.7

all:
	@echo make install          to install the software
	@echo make uninstall        to remove the software

install:
	if test ! -d $(DESTDIR)/$(BINDIR) ; then mkdir -p $(DESTDIR)/$(BINDIR) ; fi
	install -m 755 fnt $(DESTDIR)/$(BINDIR)/
	if test ! -d $(DESTDIR)/$(MANDIR)/man1 ; then mkdir -p $(DESTDIR)/$(MANDIR)/man1; fi
	install -c -m 644 fnt.1 $(DESTDIR)/$(MANDIR)/man1/ ; gzip -9 $(DESTDIR)/$(MANDIR)/man1/fnt.1
	if test ! -d $(DESTDIR)/$(ZCOMPDIR) ; then mkdir -p $(DESTDIR)/$(ZCOMPDIR) ; fi
	install -m 755 completions/_fnt $(DESTDIR)/$(ZCOMPDIR)/

uninstall:
	rm -f $(DESTDIR)/$(BINDIR)/fnt
	rm -f $(DESTDIR)/$(MANDIR)/man1/fnt.1.gz
	rm -f $(DESTDIR)/$(ZCOMPDIR)/_fnt

clean:
	@echo nothing to clean

release:
	cd .. ; tar cf fnt-$(VERSION).tar --exclude-vcs fnt ; xz -9f fnt-$(VERSION).tar

## fnt 1.5

=== debian/changelog ===
fnt (1.5-1) unstable; urgency=medium

  * New upstream version. (Closes: #1043469)
  * debian/patches: dropped.

 -- Gürkan Myczko <tar@debian.org>  Fri, 01 Dec 2023 21:04:13 +0100

=== debian/control ===
Source: fnt
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Gürkan Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Homepage: https://github.com/alexmyczko/fnt
Vcs-Git: https://salsa.debian.org/fonts-team/fnt.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fnt
Rules-Requires-Root: no

Package: fnt
Architecture: all
Depends: ${misc:Depends}, chafa, curl, lcdf-typetools, xz-utils
Suggests: trufont, fontforge, birdfont, bdf2sfd, ree
Description: Font downloader/manager
 Search, preview, and download more than 1800 fonts as user. It can download
 fonts from Debian sid and Google Web fonts repositories.

## fnt 1.6

=== debian/changelog ===
fnt (1.6-2) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Thu, 18 Jul 2024 21:35:54 +0000

fnt (1.6-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Wed, 27 Mar 2024 10:38:02 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: fonts
 Priority: optional
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
-Uploaders: Gürkan Myczko <tar@debian.org>
+Uploaders: Alex Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/alexmyczko/fnt
 Vcs-Git: https://salsa.debian.org/fonts-team/fnt.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fnt

## fnt 1.8

=== debian/changelog ===
fnt (1.8-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Mon, 04 Nov 2024 09:33:52 +0000

fnt (1.7-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Thu, 19 Sep 2024 09:17:52 +0000

## fnt 1.9

=== debian/changelog ===
fnt (1.9-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.7.1.
  * d/control: add co-maintainer.
  * d/copyright: bump copyright years.

 -- Alex Myczko <tar@debian.org>  Thu, 27 Feb 2025 07:19:32 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: fonts
 Priority: optional
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
-Uploaders: Alex Myczko <tar@debian.org>
+Uploaders: Alex Myczko <tar@debian.org>, Christopher Bock <christopher@bocki.com>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://github.com/alexmyczko/fnt
 Vcs-Git: https://salsa.debian.org/fonts-team/fnt.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fnt

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_configure:
	chmod -x completions/_fnt
